# Welcome to Bruno.jl!

## What is Bruno?
Bruno is a modular, flexible package for simulating financial data, asset pricing, and trading strategy testing. 

Bruno is written and maintained by the [Analytics Solution Center](https://huntsman.usu.edu/asc/index) at Utah State University.  

## Quick install

1. [Download Julia](https://julialang.org/downloads/).

2. Launch Julia and type

```julia
julia> using Pkg

julia> Pkg.add("https://github.com/USU-Analytics-Solution-Center/Bruno.jl")
```

!!! compat "Julia 1.6 or newer"
    The latest version of Bruno strongly suggests _at least_ Julia 1.8 or later to run.
    While most scripts will run on Julia 1.6 or 1.7, Bruno is _only_ tested on Julia 1.8.

## Getting in touch

Whether you need help getting started with Bruno, found a bug, want Bruno to be even better, or just want to chat about computational economics and finance, you've got a few options for getting in touch:

* [Start a discussion](https://github.com/USU-Analytics-Solution-Center/Bruno.jl/discussions). This is great for general questions about numerics, computation finance, experimental or under-documented features, and for getting help setting up a cool new trading strategy simulation.
* [Open an issue](https://github.com/USU-Analytics-Solution-Center/Bruno.jl/issues). Issues are best if you think the Bruno source code needs attention: a bug, a type inconsidtency error (😱), an important missing feature, or a typo in this documentation 👀.

## Citing

If you use Bruno as part of your research, teaching, or other activities, we would be grateful if you could
cite our work and mention Bruno by name.

## Papers and preprints using Bruno

If you have work using Bruno that you would like to have listed here, please open a pull request to add it or let us know!